SpaceEngine updates history

================================= Version 0.9.7.3 === (12.04.2015) ==============================

Major updates:
- Fixed Windows XP compatibility issue
- Oculus Rift DK2 support: positional tracking and Direct mode
- Shadows on the rings from other planets and moons
- Fixed texture tiling on planets
- Updated exoplanets catalog, unconfirmed Kepler candidates are included in a separate file (more than 5000 planets total)
- Added many binary and multiple star systems, including all with discovered exoplanets
- Interface skin system with the switch option in the Player menu

Astronomy
- Added moons of asteroid (87) Sylvia
- Asteroid moons classified as dwarf moons to avoid tidal heating bug
- Catalog planets with no mass and radius specified got generated mass and radius
- Automatic calculation of the orbital period in a binary system (star or planet) if only masses and SMA provided in the catalog
- Automatic tidal braking and locking in a binary star systems
- Generation of missing planet orbital inclination and ascending node are worked based on a binary star data
- Reduced rings probability of tidal locked planets and moons
- Updated textures of Mars and moons of Saturn

Interface:
- Updated Find object menu: third column with the object type, scrollbar, more clear controls (keyboard and mouse wheel to scroll), case sensitivity
- Updated localizations
- Options "Compress textures" and "Super" diffraction spikes are removed from the graphics settings menu
- Anti-aliased selection pointer
- Map mode marks and cursor textures are moved into interface texture
- Menu for video capture settings: switch between set of screenshots mode and avi mode, choosing screenshot format and codec settings
- [F9] key brings up the Video capture menu, [Ctrl]-[F9] starts and stops the video recording with the chosen settings
- Removed default key binding [N] to enable/disable night side lights and emissive textures
- New planet filters in the Star browser
- Solar eclipses are not rendered in the system browser
- Orbital path rendering is disabled together with disabling of planet rendering
- New music added

Engine:
- Hardware auto VSync is used if supported
- Galaxy and nebula rendering are moved to OpenGL 3.3 standard
- Returned back skybox for nebulae, so performance inside a nebula is improved
- Removed useless gal_part.png and aurora_part.png textures
- Built with Oculus SDK 0.4.4
- New video memory limiting system
- Washing out of planets which are small on the screen
- Texture of deposit layers on steep rock slopes
- More realistic sand dunes
- Conical shaped volcanoes
- Window resolution can be set in the Display settings menu to the maximum resolution supported by hardware
- Added frame output (screenshot sequence) video capture mode
- Video capture files are saved in the screenshots/capture/ folder
- Selena is a world with atmosphere pressure < 1 mbar
- Better rendering of low-pressure atmosphere models (thin haze on Selenas and Ice Worlds)
- Added details and dynamics to aurora
- Improved comet tail performance

Bug fixes:
- Fixed almost all Intel HD compatibility issues
- Fixed crash on entering Display menu
- Fixed bug with extremely hot asteroid moons
- Fixed button sound in the main menu and autopilot scripts folder location
- Fixed the text "(null)" in the critical error message box
- Fixed crash on ATI in Oculus Rift mode
- Fixed too long landscape generation time on ATI and Intel
- Fixed skybox edge artifact near center of the galaxy or nebula
- Fixed axial tilt of 57 degrees of every solitary star in the Wiki
- Fixed a bug in the life panspermia code
- Fixed glitches in the Find object menu: selection line position, auto scrolling, missing parent name for some objects
- Fixed the physical VRAM size detection on ATI
- Fixed a bug with only one planetary nebula model being used per galaxy
- Fixed nebula model cut in the impostor rendering
- Fixed a bug with stars scale did not applied at program start
- Fixed changing of the lens flare color in the "norm" mode
- Fixed disappearing of a star-like particle of dim brown dwarves illuminated with a main star
- Fixed disappearing of a star-like particle of hot asteroids and dwarf moons
- Bigger ClipZNear to reduce z-fighting
- Fixed bug with Dactyl tidal heating
- Fixed disappeared canyons and rivers
- Fixed ignorance of Temperature/Teff parameter in the star script
- Fixed bug with selection and go-to of planets/stars with the same name (planet b and star B in the same system)
- Fixed extreme heating of planets of cold (T type) brown dwarves
- Fixed wrong comet tail orientation of binary planets
- Fixed body selecting in a binary planet system
- Fixed reset of the rotation period to 1 day of the catalog stars with the "Static" orbit
- Fixed bug with white dwarves color and temperature


================================= Version 0.9.7.2 === (26.12.2014) ==============================

Major updates:
- Oculus Rift support
- 3D monitor and 3D TV support (anamorphic stereo pair mode, shutter glasses mode)
- 3D anaglyph glasses support
- Full joystick and gamepads support, multiple devices allowed
- Animated procedural stellar corona
- New star rendering
- Night textures on planets: city lights, lava
- Thermal lighting of a planet and its clouds based on: tidal heating, solar heating, young age
- Volcano with lava flows
- Melted lava planets and moons
- Updated soundtracks
- Ability to change some measurement units: parsec to light year, kilometer to mile, Kelvin to Celsius and Fahrenheit
- Hapke BDRF: opposition effect and zero-phase glare on dusty planets, planet script parameters to control the effect
- Planetary system chart mode: compare size of planets, moons and stars in the system

Space ships:
- Added option for multiple preset cameras for spacecraft
- Enabled retro engines
- New ship models

Astronomy:
- ESI value now uses average planet surface temperature and doesn't change with time
- Improved solar spots
- Updated textures for many Solar system objects
- Added accurate rings to the asteroid/centaur Chariklo
- New procedural clouds texture
- Updated brown dwarf appearance
- New pink atmosphere model for brown dwarves and some planets
- New physical model of planetary atmospheres (2-layered: adiabatic troposphere and isothermal stratosphere)
- Elevations on gas giants are counted from the atmosphere level with pressure of 1 atmosphere (~1 bar)
- Procedural generation of orbital ascending node in the catalog system for planets with unknown ascending node, based on planets with known ascending node
- Improved planet temperature calculation: it now takes into account the internal and tidal heating
- Glowing hot planets illuminates neighbouring objects
- More accurate probabilities for generation of white dwarves, neutron stars, and black holes
- Red giants now have 100% probability of hot planets
- Icy moons smaller than 400 km and rocky moons smaller than 600 km are classified as asteroids and dwarf moons
- Improved ice specular on terras and deserts
- Large scale albedo variations on planet surface
- Computing snow altitude based on atmosphere model
- Increased level of detail of asteroids
- New planet script parameter "Panspermia", for specifying that life did not originate on that world
- "Life origin" field in the Wiki describes how life originated on that world
- Dwarf moon names are changed to a form like "3.D4"
- More realistic generation of planets density

Interface:
- Improved quality of black hole and warp field distortion effect
- Animated Selection pointer
- Simple GUI editor (debug feature)
- Atmospheric pressure and air temperature at the user's location is displayed in the object's info panel and in the Wiki
- Wiki pages update automatically after changing the selected object
- Wiki pages don't switch after changing the selected object or Wiki opened/closed
- Wiki window is now more compact
- Ability to select the screenshot image format in the Player settings menu
- Main menu scales to any screen resolution
- Filter by planet and star parameters in the Star browser
- Updated interface texture
- Updated toolbars appearance
- Lock button on bottom toolbars now have 3 states: lock, half-hide, and hide
- Added Display settings and Main Menu buttons to the left toolbar
- Updated ship control panel
- View direction altitude in the Fish Eye mode can be configured
- Selection now work in the Fish Eye mode
- New texture-based mouse cursors
- Many visual improvements to the Map Mode
- Expanded Display settings menu with controls for projection and 3D mode
- Expanded Controls settings menu, with ability to customize all mouse and joysticks axes and all joysticks buttons
- Brown dwarves size in a Solar system browser is in a planets size scale, not a stars one

Engine:
- Many optimizations in the engine core
- Upgraded memory manager
- Some shaders are rewritten to the GLSL 3.3 core profile
- Reduced number of planet shaders
- Forced HDR mode and Bloom effect
- Optimized lens flare code
- More precise LOD setting for planets
- Implemented the pak file system (zip archives)
- Default texture packs and addons are now in pak files
- New catalog update/addon system
- Significantly improved catalog loading performance
- Implemented separate texture sets for RGB and Alpha or higher and lower byte of elevation map for planets
- Time stamps printed in the log
- Settings for minimum distance for procedural stars and brown dwarves added to the config
- Ability to edit a barycenter parameter in the Planet editor
- Console variables to control the mouse cursor: "HardwareCursor" and "HideCursor"
- Surface color parameters for gas giants and brown dwarves are renamed to colorLayer0 ... colorLayer7
- Palettes for gas giants and ice giants are split into 7 ranges according to their temperature class
- Palettes for brown dwarves are split into 3 ranges according to their spectral type (L, T, Y)
- Swapped neg_z and pos_z faces in the Export Skybox function
- Added the entire ship model rotation parameter in the config and in the editor
- Improved life panspermia code, new probability parameters in the universe.cfg
- GUI windows don't change their positions when SE window resized
- Added "ModulateColor" parameter for planet scripts; can modify the color of planet textures and also modify opacity for cloud textures
- Script "Exposure" parameters for surface, clouds and ocean are replaced with one global "Brightness" parameter
- Script "Exposure" parameter for rings is replaced with the "Brightness" parameter
- Added "stable" motion blur (blur length independent of framerate), can be adjusted in config/user.cfg or in the console
- Solitary black holes particles are now invisible
- Accelerated rendering of star-like particles of planets and ships
- Updated SolarSys3000.sc
- Removed error message if the local database file did not found
- Added console variables for collision detection clamp and near plane clamp, log stamps, motion blur length, and many others (read docs/console.txt for reference)

Bug fixes:
- Fixed bug with "islands" on oceanias
- Fixed spacecraft and lens flare textures not loading in Immediate loading mode
- Fixed a bug where catalog neutron stars could have very low temperatures
- Fixed Roche limit calculations
- Hacked fix of screen edge artifact of gravity lens effect
- Fixed rounding errors in GUI sliders (sticking at certain points when using arrow buttons)
- Fixed not saving of mouse axis settings
- Fixed a bug with too high speed of clouds on tidally locked planets and moons
- Fixed bug with clouds on catalog planets with low atmospheric pressure
- Fixed problems with fullscreen if display resolution changed
- Fixed a bug with procedural stars with infinite luminosity generated
- Fixed mistake in FXAA implementation
- Fixed some bugs in the planet editor
- Fixed some bugs in the lens flares code
- Fixed automatic binding to a planet after controlling a spacecraft
- Fixed resetting of the mouse-controlled ailerons/elevator angles after using keyboard controls
- Fixed atmosphere scattering models precomputing code
- Fixed orbital paths cutting in the Map mode
- Fixed "micro debris ring" and asteroids sharing the same orbits with moons
- Fixed "square star" bug
- Fixed "pink rings" bug
- Fixed some bugs with eclipse shadows
- Fixed mipmaps generation on planets and ships
- Fixed bug with closing the Universe Map
- Fixed sun lens flare rendering mode when ship is warping with autopilot
- Fixed "negative lens flare" effect when close to a star
- Fixed wrong orientation of the star's equator relative to the planetary system plane
- Fixed some bugs in the planetary system generator
- Fixed hole in red giant stars
- Fixed a crash at first-time nebula model generation
- Fixed a mistake in the procedural white dwarf class generation
- Fixed smoothing of the font
- Fixed "Interstellar" mode of ships in some star cluster's planetary systems
- Fixed lags caused by ships physics updating
- Fixed the "barycenter star in binary system" artifact
- Fixed rendering of the Wiki preview for star clusters, galaxies, and nebulae
- Fixed Wiki preview disappearing after selecting the barycenter
- Fixed rotation parameters for moons
- Fixed density of small planets
- Fixed dwarf moons density and Roche limit check
- Fixed bug with the number of aurora particles sliders in the Planet editor
- Fixed bug with DXT1 textures loading and wrong rendering of the modular ships' trusses

================================= Version 0.9.7.1 === (26.12.2013) ==============================

Major updates:
- 3D water: animated water specular reflections, underwater fog
- Improved procedural moon system generator
- Debris rings around planets
- New landforms: pseudo rivers, shield volcanoes
- Music player with smooth mixing, context switching of soundtracks, repeat options and other capabilities
- 25 original soundtracks made by many authors
- Smart blending of terrain detail textures
- Detail noise textures on the planetary surface
- New types of worlds with life, improved lifeform classifications
- Many improvements with space ships
- Built-in avi video recorder
- Fast multi-threaded Star Browser: it uses all CPU cores to generate systems and does not reduce FPS
- Added Czech, Dutch, Polish, Portuguese, Romanian, Slovak, Swedish and Turkish localizations
- Installer for SpaceEngine distribution with automatic selection of localization

Space ships:
- Supporting of emission textures
- Supporting of modular models
- Updated Ships Manager: ability to build, rename and destroy spacecrafts, sorting tables by any column
- Easy installing of ships addons: just copy files into SpaceEngine folder, and new ships become available in the Ships Manager's build menu
- Some old ships models changed to modular models
- New "SS Basic", "SS Cargo", "SS Science", "Fire Dragonfly" and "Skylone" ships
- Computing the Keplerian orbital elements and rendering the Keplerian orbit of the ship
- Atmospheric flight physics
- Spaceship Control Panel with Autopilot buttons
- Spaceship HUD (Head-Up Display) for atmospheric and space flight modes
- Ships may have Main engines, Retro (Braking) engines, Hover engines and Correction engines that can be controlled separately
- New ship control system: rotation with mouse, changing Main Engines and Hover Engines thrust with mouse wheel or by Control Panel, WASD keys controls correction engines only
- Additional parameters in the spaceship config file (engine thrust, hyperdrive, aerodynamics)
- Improved autopilot: orientation commands (Prograde, Retrograde etc), and automatic hyperjump to selected body
- Simulation and Orbital physics modes for spaceships (unfinished, switch modes on the Spaceship Control panel)
- Static Keplerian orbit mode for space stations artifical satellites
- Improved warp bubble effect

Astronomy:
- Improved life classification: new types of lifeforms and biomes, various types of worlds to handle life, new script parameters
- Reduced density of stellar remnants (black holes, neutron stars and white dwarves)
- Updated exoplanets catalog
- Improved star calculator (computing of required parameters based on some parameters given in the script)
- New parameter Msini (M*sin(i)) in the planet script - used instead of Mass for exoplanets with only M*sin(i) known
- Procedural generation of orbital inclination in the catalog system for planets with unknown inclination, based on planets with known inclination
- Computing of actual mass of a planet based on given M*sin(i) and generated orbital inclination
- New parameters in the planet script - discovery method, discovery date and date of last data update
- New lines in the planet info table  - discovery method, discovery date and M*sin(i)
- Implemented "HH MM SS" or "DEG MM SS" format for RA and Dec for galaxies, star clusters and nebulae
- New Vesta, Mercury and Saturn textures and landscape
- New galaxy and nebula models
- Increased turbulence on clouds of procedural gas giants

Interface:
- Updated GUI tables appearance
- Updated Display Settings menu: options for toggle to fullscreen, choosing fullscreen and windowed mode resolution, VSync, anisotropy level
- Variable column width in the Star Browser's table
- Green text in the Solar System Browser indicates that an object has life or satellites with life
- Updated localizations and added new ones
- FPS counter is enabled or disabled via console command "FPS"
- Changed color of orbits, markers and labels for dwarf planets and dwarf moons
- Onscreen keyboard help info in the Edit mode
- Some improvements in the Planet Editor

Controls:
- Capturing video with GUI by pressing [Ctrl]+[F9]
- Sliders in the planet editor are not scrolled with mouse wheel
- Close button on the Solar System Browser window
- FOV is taken into account when choosing the camera position behind the ship in the Game mode
- "Look around" by holding the middle mouse button; on release, camera returns to original view
- Improved Controls settings menu: binding keys and mouse axis, independant bindings for planetarium and spaceship controls modes

Engine:
- Terrain detail texture atlases are merged into a single atlas
- Configurable color palettes for procedural planets
- Automatic calculation of the offset of the ship model to make it perfectly centered
- SpaceEngine's window saves its size, position and fullscreen state in the config and restores them in the next launch
- New magnitude function in the Map Mode: easy to find dim stellar objects
- Supporting RGBA diffuse textures for ships with per-pixel specular power in the alpha channel
- Supporting RGBA color specular textures for ships with per-pixel specular power in the alpha channel
- Supporting RGB  color emissive textures for ships
- Experimental support of the logarithmic Z-buffer
- Exit screen texture saved to the config folder
- The stars120k.txt file is renamed to stars120k.cfg

Bug fixes:
- Fixed a "poor terrain textures"  bug (incorrect indices of detail textures on procedural planets)
- Fixed a bug with generating worlds with life only in multiple star systems
- Fixed a bug with setting "StarProcBifurcation false" in the config disables procedural binary and multiple stars
- Fixed a "boring planets" bug and "deserted terra with life" bug
- Fixed too low and too high altitude of clouds on some planets
- Fixed a bug with impossibility to disable the VSync
- Fixed a bug with moons counter in the Wiki's General info tab
- Fixed a bug with moons with life counter in the planet's info table
- Fixed a bug with incorrect star multiplicity counter
- Fixed a bugs with the nearest star searcher (in star clusters and galactic halo)
- In the Map Mode, the Star Browser performs search around the map center, not around the current camera position
- Removed double slash in the message "Saving screensots//scrxxxx.xxx"
- Removed duplicate of Fomalhaut
- Removed "Fomalhaut B" name of star TW PsA/Gliese 879
- Fixed some other mistakes in catalogs
- Fixed wrong luminosity (0.9) of the Sun in the info table and in the Wiki
- Fixed artifacts when window is stretched on a bigger or a secondary monitor
- Fixed bugs with fish eye projection
- Fixed various bugs in the Star Browser
- Fixed a rendering slow-down after using the Star Browser
- Fixed a crash in Search By Name menu when entered a name of non existing star in a star cluster
- Fixed wrong axial tilt info of Earth and other barycenter-orbiting planets
- Fixed wrong obliquity parameter in exporting of the planetary system script
- Fixed the absolute magnitude of the Halley's comet
- Fixed a crash when turning on rendering of a spacecraft trajectory
- Fixed a bug where "Warm ice world" was printed as "Warm ice giant"
- Controls settings menu and right-click context menu changes localization properly
- Fixed a typo on the coordinate grid labels
- Fixed incorrect camera orientation on start if the last bound object was a spaceship
- Fixed some VRAM cache issues (blinking stars, etc)
- Fixed the music player
- Fixed small blurriness of font and GUI
- Fixed galaxy orientation problems
- Restored clouds bump
- Fixed a bug with no cyclones on gas giants
- Fixed asynchronous loading of shaders
- Fixed a bug with a black dot rendered above the star in the "Points" mode
- Fixed a bug with bright blue stripes in evaporating planet tail
- Fixed appearance of wrong textures on planets during loading/generation
- Fixed a bug with wrong positioning of the camera relative the ship during hyperjump
- Fixed inability to select a moons inside the planet's shadow
- Fixed discontinuity in normal map lighting on a ship models

================================= Version 0.9.7.0 === (01.05.2013) ==============================

Major updates:
- Auroras
- Comets and evaporating planets
- Improved rendering of interstellar dust in galaxies
- Oblate planets and stars, automatic calculation of the oblateness value
- Gravity darkening of oblate stars
- Improved planetary rings variety, increased color saturation
- Multiple cloud layers on terrestrial and gas planets
- Smooth gas giant textures
- Dynamic lens flares with ability to choose a preset in the menu
- Planets and moons illuminate each other with their actual color
- Star Browser - builds a list of the nearest stars with the ability of saving it to a file
- Importing ship models in the OBJ format with material library and multiple textures
- Built-in wiki system
- Ability to give a name and description to any planet or other object
- Improved FPS on planets
- Multithreading for resource loading/generating
- Menu for selecting GUI language, applies changes without restarting
- Default localizations: English, Russian, German, French, Italian, Spanish, Portuguese, Finnish

Astronomy:
- ESI (Earth Similarity Index) in the planet's info table
- New star magnitude function: more white stars and red dwarves, solitary brown dwarves
- Better function of the mass-radius dependence of gas giants and brown dwarfs
- Reduced thickness of the atmosphere on Earth-like planets
- Inverted red giant surface temperature pattern
- More solar spots on red dwarfs
- Desaturation of faint stars (simulating color sensitivity of an eye)
- Supporting of unlimited number of cloud layers on catalog planets
- Config parameters for maximum number of procedural cloud layers of gas and terrestrial planets
- Dynamic model of Jupiter (11 cloud layers)
- Console variable to modify cloud layers rotation speed (set CloudsSpeed xxx)
- Reduced a radii of procedural ice giants
- Gravity lensing effect for white dwarfs
- Multiple galaxy models per Hubble class for procedural galaxies
- Multiple nebula models per nebula class for procedural nebulae
- Simplified galaxy/nebula mod installing system
- New galaxy models
- Russian Wiki database have translated all stars names, Solar System planets and satellites
- Updated catalogs of comets, asteroids and exoplanets

Interface:
- Context menu when you right-click on the object
- Shadows under the text
- The little loading icon instead of the progress bar
- Mouse cursor changes its shape depending on situation (crosshair in space, arrow in GUI, etc)
- Scrolling tables and sliders with the mouse wheel
- Button "Current" on the Find object dialog to put currently selected object's name into it
- Info table for any planet, star or barycenter shows counter of its satellites with life
- Various upgrades in the Universe Map
- [F1] opens the Universe Map for selected system, [Ctrl]-[F1] for the current one
- [F2] opens the Planetary System Browser for selected system, [Ctrl]-[F2] for the current one
- HDR, Bloom and FXAA effects in the Solar System Browser previews
- Real planet brightness can be disabled in the Solar System Browser
- Red giants and asteroids are rendered with 3D landscape in the Solar System Browser
- Right click on the root star or barycenter in the Solar System Browser selects the planetary system itself
- Wiki descriptions supports some of the BB-codes
- Simple quotes " " automatically replaced with angular quotes « » in some text edit forms
- Displaying planet's albedo / computed brightness and color in the Edit mode
- Some sliders in the Planet Editor have logarithmic scale
- Reduced width of the zone for opening of the side-screen toolbars
- Pin buttons on toolbars
- Saving state of toolbars in user config file
- Ability to paint up oceans in the Export planetary textures menu
- Updated Export planetary textures menu
- Updated Graphics settings menu

Controls:
- Changed some mouse controls
- The [End] button rotates camera horizontally
- New console commands
- Velocity pointer in the Planetarium mode
- Smooth stopping of the movement and rotation of the camera when you press the Z, X, or Num 5 in the Planetarium mode
- Height of the lanscape is counted from the sea level (negative values if under water)
- The land command and button performs a landing on the 10 meters height above sea level or ground
- The [G] key in the Game mode moves current ship to a selected object
- Warp effect for spaceships

Engine:
- Automatic choosing of the NVidia chip on systems with hybrid graphics (NVidia + Intel HD)
- Automatic selecting of some settings when hardware is changed
- Automatic clearing of the cache when hardware is changed
- Updated cache of galaxy models, they are now registered in the memory manager
- Updated cache of textures and models for ships and buildings, they are now registered in the memory manager
- Saving compiled shaders binaries to the cache for fast loading of them (NVidia)
- Preloading all shaders at startup (option)
- While capturing the video, GUI is visible on the screen, but not recorded to the video
- Supporting of gray + alpha PNG format
- Supporting of the TIFF format for textures and screenshots
- Supporting of sounds in WAV and OGG formats
- Built-in music player for OGG music
- Automatic (based on FPS) vertical synchronization toggle
- Changed directory structure

Bug fixes:
- Fixed a flat landscape bug on Intel HD
- Fixed color banding artifact on landscape and water
- Console command "disable" now works
- Fixed a bug with nebulae shining through planets
- Fixed the accelerated spinning of the ship when time is reversed
- Fixed a bug with "intergalactic" mode of spaceships in certain regions of Milky Way
- Fixed glitchy star's Motion Blur
- Fixed a bug with very small moons having atmospheres
- Fixed camera autobinding
- Fixed a bug with the equal mass of all brown dwarfs
- Fixed a bug with wrong lens flare color at the edges of the screen
- Fixed a bug with Earth fully covered with water
- Fixed a bug with entering minutes and seconds in the time control panel
- Fixed a bug with disappearing blocks of procedural stars in a galaxies
- Fixed a bug with blinking planet when Autoexposure enabled
- FXAA works when Bloom is disabled
- Fixed a bug with "square shaped stars" when Real sun brightness is on
- Fixed incorrect age of stars in multiple systems
- Fixed a bug with stars generated outside star cluster boundaries
- Fixed a bug with incorrect planet counter number in the star's info
- Fixed a bug with incorrect planets with life counter number in the star's info
- Fixed a bug in binary systems when smaller component have greater mass => reduced number of brown dwarfs
- Fixed cropping of some rotation/orbital parameters when starting editing in the Planet Editor
- Fixed wrong calculation of brown dwarfs and white dwarfs radii
- Reduced stars aliasing
- Fixed bug with atmosphere models generation/updating
- Fixed a bug with white sparks on clouds

================================= Version 0.9.6.2 === (28.07.2012) ==============================

Changes and additions:
- Support for using more than 2GB of RAM (Large address aware)
- Improved memory manager
- FXAA antialiasing
- Reduced the rotation speed by keys Q and E, adjusting the rotation speed along different axes in the config
- Trying to control the ships when the time is stopped showing the notification
- A new (fifth) Pluto's satellite
- New galaxy models: M 104 (Sombrero), NGC 4921, AM 0644, Arp 273
- New nebulae models
- Console commands to convert texture files into various formats
- Default FOV changed to 45 degrees
- Updated locations list

Bug fixes:
- Fixed the memory leak then a galaxy without nebulae or star clusters generated
- Fixed non-appearance of ships after teleportation when the time is stopped
- Fixed several causes of crashes associated with ships
- Fixed generation of planets with life only in double and multiple star systems
- Removed the "ghost lens flares"
- Fixed render of the landscape BBoxes
- Fixed a clouds sharp edges

================================= Version 0.9.6.1 === (07.07.2012) ==============================

Changes and additions:
- The absorption of light in the atmosphere affects the night side of the planet
- Frequency of physics iterations can be adjusted in the config

Bug fixes:
- Fixed shaders of a planets orbiting an isolated black hole
- Fixed using of rings shaders for every planet
- Fixed the age of the Solar system and some other stars
- Fixed StarShip and ShreckShip models
- Fixed mipmapping settings

================================= Version 0.9.6.0 === (05.07.2012) ==============================

Changes and additions:
- A new coordinate system and camera
- The Map of the Universe
- Implemented console, various console commands allow you to change settings, there are also commands that duplicate some functions of the autopilot
- Console commands can be executed from the file - it is possible to create a scripts that controls the flight
- Updated catalog of dwarf planets, exoplanets, nearest stars, etc.
- Some new galaxies models, new textures for some Solar system bodies
- A count on the number of planets with life has been added to the selected star's information table
- Significantly improved performance in dense regions of galaxies (the nucleus and spiral arms)
- In the Orbital review mode (Right-drag) rotation is always doing around the current object, but not around selected one
- Showing vectors of a planet: its own X axis, the direction to the parent body, and the barycentric velocity
- Collision detection of camera with all planets
- Spacecrafts: motion control, gravity forces, collisions with planets
- Procedural galaxies with large-scale structure of the universe and the redshift effect
- Supporting of the indoor scenes in the *.map format ("Radiant" editor for games based on the Quake engine) for buildings and ship interiors (maps are available as "scenes" from the console)
- Anti-aliasing on the border of the cloud layer on the planets
- New forms of landscape on planets
- Smooth transition between textures of different materials on the surface of the planet
- Changed the algorithm for calculating landscape level of detail - detail close to the camera is always high (as in LOD 0) for each LOD
- Exporting of skybox (panoramic screenshot)
- Exporting of procedural textures of planets
- Editor of the procedural parameters of the planet with the script export function
- Optimization of the interface, the active window is moved to the foreground
- A new interface design
- The "game" style of the Main Menu
- Various control panels
- Some settings controls in the Planetary System Browser
- Binding keys and saving them to the config file
- The "Copy" and "Paste" buttons in the Locations menu - for easier sharing of coordinates on the forums
- Supporting for Windows clipboard in the text input fields (Ctrl-C, Ctrl-V), for example, in the Search By Name menu (F3)
- Real brightness of the planets (lighting dependency on the distance to the sun)
- White dwarfs, neutron stars, black holes - isolated and in multiple star systems
- Binary gas giants
- New model of the atmosphere with a green hue
- New class of a planet - Titan (ice world with a hydracarbon ocean)
- Fully cloudy planets - Venus-like warm deserts and Titans
- Automatic procedural generation of atmosphere, clouds, water and rings for catalog planets, if these paremeters are missing in the catalog
- Dynamic star coronas
- Probabilities of double and multiple stars, stellar remnants, brown dwarfs, gas giants, etc. in the config

Bug fixes:
- Fixed some bugs in the planetary system exporting code
- Fixed "reddening" of the stars at very high magnification
- Fixed "blueing" of the sun at sunset
- Fixed bug with black spots on the edge of the disk of the planet (including the Planetary System Browser)
- Fixed crashes due to excessive generation of planetary systems in nebulae
- Fixed pulling of camera to infinity at first contact with a planet or a star
- Fixed bug with generation of very small Terra planets and moons
- Reduced the size of impact basins, their generation is suppressed for large Terras
- Fixed an extremely dense clouds on Oceanias
- Fixed a bug with the NoPlanets parameter in the stars catalog
- Removed unnecessary lens flares of black holes
- Fixed too often generation of gas/ice giants as a closest to sun planet
- Reduced atmosphere artifacts on horizon
- Fixed a blocky artifact in stars distribution the in galaxies

================================= Version 0.9.5.1 === (18.11.2011) ==============================

Bug fixes:
- Fixed a bug with black screen on minimize.

================================= Version 0.9.5.0 === (17.11.2011) ==============================

Changes and additions: 
- Markers for planetary system bodies
- Ability to rendering a sun surface with "real" brightness
- Precise Lens Flare effect for sun
- [Ctrl] + [Mouse Wheel] changes velocity like [Ctrl]+[+] and [Ctrl]+[-]
- Turning video capture mode [F9] automatically sets the "Frame Time" timing mode for obtaining a smooth video
- In the video capture mode screenshots are saved to "screenshots/capture" directory, the old files are rewrited
- Screenshots saved without HUD
- Added RAM usage checking in memory manager
- OpenGL version checking at program startup
- Added a new recently discovered satellite of Pluto
- Loading of spaceships models (experimental)
- Supporting of parabolic and hyperbolic orbits
- A dense atmosphere smooths the climate on the planet (reduces difference between the equator and pole)
- Tidal-locked planet (always facing the same side toward the sun)
- A giant cyclone at the subsolar point on the tidal-locked planets
- Ocean planets (planets entirely covered by the ocean)
- Ice caps is not flat terrain
- Hills on the flat areas of the planets
- Improving the shape of the mountains
- Faster generation of the landscape
- Detail photo-textures on the landscape
- Ability to disable (hide) water on the procedural planets
- 3D water as separate transparent layer (no wave/reflection/refraction yet)
- Brown dwarfs
- Updated exoplantes catalog
- Minor interface changes
- Adjustment of movement keys acceleration/deceleration time in user.cfg
- Adjustment of velocity presets in user.cfg
- Export of planetary systems in a script-file
- Collision detection with planetary surface
- Automatic switching of follow mode for planets (Follow / Sync Rot)
- New galaxies models

Bug fixes: 
- Fixed a bug with black screen at startup
- Fixed a bug with missing interface textures and other stuff (incorrect memory manager working with old drivers)
- Fixed incorrect rotation of Pluto
- Fixed a bug with neutron stars only in all planetary nebulae
- Fixed too little mass of white dwarfs
- Fixed a bug with empty irregular (Irr) galaxies
- Fixed a "cubic star clusters" bug
- Fixed a shifting of selection pointer and labels beside the planet
- Fixed a shifting of the background in the black hole's gravity lens effect
- Fixed incorrect calculation of the rings and moons orbital orbital period
- Fixed wrong position of the binary star's barycenter
- Fixed the shining of the asteroids particles through nearby the planet
- Fixed a bug with landscape patch BBoxes: it is possible to use LOD 0 now
- Fixed incorrect rendering order of transparent clouds layers
- Fixed a crash while first running if the Milky Way galaxy model is not cached
- Fixed excessive RAM consumption
- Fixed disappearing of bright stars while moving with big velocity

================================= Version 0.9.4.0 === (11.06.2011) ==============================

Changes and additions:
- Triple and multiple stars
- Procedural planets around barycenters of multiple stars (i.e. planets orbiting two suns simultaneously)
- Changes in the naming rules of procedural stars, planets and moons
- Changes in the Solar system browser
- Localization to Russian and possibility of localization to other languages
- Fonts with different-width characters
- A description of stars spectral classes
- Various interface changes
- The possibility of inversion of the mouse
- Removed the prefix notation in the configuration files
- The new stars motion blur mode: only when moving
- Calculation of the density and pressure of the planetary atmospheres
- Calculation of the greenhouse effect on the planets
- Improved stars colors
- Planets with highly eccentric orbits 
- Changed the sign of the LOD of planets: 3 for max detail, -3 for min
- Gravitational lens effect of a for black holes and neutron stars
- Supermassive black holes at the centers of galaxies and globular clusters (so far without accretion disks and jets)
- Stars nearest to supermassive black hole are orbiting it
- Procedural asteroid belts (at this time limited to 3000 asteroids per system)
- Pointer to the selected object in the form of cross and arrow

Bug fixes:
- Eliminated the main cause of crashes (wrong calculation of used memory)
- Fixed memory overrun due to the use of textures with a non-power-of-two resolution
- Reduced the minimum distance to the galaxy twere generating of procedural stars begins
- Reduced excessive density of stars in small galaxies
- Fixed bug with writing extra spaces in the coordinates in the user config
- Fixed bug with nebulae selecting
- Fixed incorrect brightness of the nebula in Auto exposure mode
- Fixed incorrect reading of the scripts with Linux-style end of line
- Fixed slowdown with catalogs of thousands of asteroids and comets in solar system
- Fixed a bug with the Bloom effect affection on the interface
- Fixed displaying information about the number of planets around star
- Fixed incorrect drawing of a marker of barycenter
- Fixed cloud density on dry terra planets
- Fixed display of Greek abbreviations instead of the Greek characters in the autopilot journal and locations dialog
- Fixed flashing on the planets with atmosphere if sun comes into view field
- Fixed incorrect determination of the temperature class of the planet while creating the system
- Fixed bug with choosing of wrong body in the Solar system browser if there are several bodies with the same name present in catalog
- Fixed a line break and reset of the register of font in table cells
- Eliminated changing the direction of flight when switching between Spacecraft and Aircraft modes
- Reduced z-fighting on the red giants models
- Fixed bug with incorrect removing of duplicate stars in the script (text) stars catalog
- Reduced z-fighting on the planets when seen from afar and through a telescope
- Eliminated the loss of accuracy in the transformation of the vertices in very close to the surface of the planet
- Fixed glare brightness on icy surfaces
- Fixed disappearing of landscape tiles if camera turns qiuckly

================================= Version 0.9.3.0 === (24.04.2011) ==============================

Changes and additions:
- Added automatic detection of occupied memory in runtime
- Pressing [Esc] cancels the autopilot command and brings up a menu
- Changed the appearance of certain types of planets
- Changed the appearance of red giant stars
- Increased level of detail of a planets
- Added settings to toogle off the shadows from the rings on the sky dome (as it is formally incorrect effect)
- Disable of HDR frees memory occupied by the float buffers
- Introduced supporting for rendering to the fish eye projection (beta test)
- Auto exposure mode is separated from the auto-tuning brightness of galaxies mode when flying in intergalactic space
- Introduced the ability to disable the procedural bifurcation of catalogue stars (r_star_ProcBifurcation in main.cfg)

Bug fixes:
- Fixed crashing caused by wrong detection of amount of occupied video memory
- Fixed flashing and color inversion of sun lens flares
- Fixed a bug with the position of the barycenter in binary star systems
- Fixed flashing of galaxies and increasing the brightness of clusters and nebulae in the auto-tuning brightness of galaxies mode

================================= Version 0.9.1.0 === (29.03.2011) ==============================

Changes and additions:
- Changed the binding of keys '[' and ']'
- Changed the appearance of the autopilot journal
- Reduced a number of a planet's shaders

Bug fixes:
- Fixed a bug with screenshots saving
- Fixed a bug with eclipse of very distant suns
- Fixed a bug with density of star clusters in other galaxies
- Fixed a bug with meshes of a flat planets
- Fixed a bug with autopilot miss the planets and inaccurate bound of the camera to planets
- Fixed a bug with absence of images of a planets in the Solar System Browser, when the camera is in interstellar space

================================= Version 0.9.0.0 === (06.03.2011) ==============================

Changes and additions:
- Completed the dynamic cache of a procedural stars
- Video memory is automatically distributed between procedural stars, planets textures and meshes
- Automatically determined the amount of available video memory on the ATI and NVidia
- Settings for HDR parameters in the menu
- Fast autopilot flight when pressing [G] twice
- An Autopilot journal
- Switch between "Spacecraft" and "Aircraft" modes does not stops the camera
- The state of the timeflow (paused/resumed) is saved when user exit SpaceEngine
- Changed the texture of the lens flare
- Planets in the Solar system browser are shown with side lighting
- Improved appearance of rocky planets and gas giants
- Multi-layered clouds on a gas giants
- Rotation of the cloud layer around the planet, the differential rotation of the gas giants
- For a planets with solid opaque cloud layer (Venus, Titan), the surface is not rendered if camera is above the clouds
- Introduced the classification of planets by temperature
- The color of the atmosphere and clouds of a gas giants depends on the effective temperature
- Dense atmospheres for gas giants
- Fake darkening when diving deep into the gas giant atmosphere
- Procedural generation of the surface textures on the planets what have only a height map
- The possibility of "terraforming" of the known planets with procedural generation of the surface textures
- Added Jupiter's rings
- Updated exoplanets catalog
- A restriction for limiting magnitude for generation (but not rendering) of the procedural stars while zooming or increasing the limiting magnitude
- Preloading the models of a nearby galaxies at the program start
- Solar eclipses are taking into account when calculating the magnitude of the planets and moons
- Solar eclipses are taking into account when calculating the brightness of the distant planets and moons sprites
- Changed the renderer of the stars in the "Points" mode: the point size is proportional to the brightness
- Size of stars in the "Points" mode can be adjusted in the menu
- Improved appearence of a nebulae, some optimization
- Added a stars associated with the nebula (a nuclei of planetary nebulae, stars illuminating diffuse nebulae)
- Procedural textures for stars surfaces
- Atmospheres for a stars with lighting effects in multiple star systems
- Some changes int the scripts format, new parameters in the configuration scripts

Bug fixes:
- Fixed a bugs with HDR
- Fixed a bug with incorrect displaing of the Solar system browser images
- Fixed a cracks in the landscape (using skirts on the perimeter of patches)
- Fixed a blending of the clouds with the surface in the HDR mode
- Fixed a bug with the lack of atmosphere and clouds on the exoplanet from the catalog
- Fixed a bugs with star clusters
- Fixed bug with skyboxes faces updating
- Fixed rendering of the grid

================================= Version 0.8.5.0 === (04.01.2011) ==============================

Changes and additions:
- Automatic detection of the amount of video memory on NVidia
- Automatic memory allocation between landscape patches, textures and procedural stars
- Terrain LOD can be adjusted in the Graphics settings menu
- Mouse wheel changes the fligt speed/acceleration, zooming moved to Shift + wheel
- The middle mouse button toggles the FOV to 60 degrees at 20

================================= Version 0.8.4.0 === (01.01.2011) ==============================

Changes and additions:
- Going to GLSL shaders, supporting for ATI graphics cards
- Procedural generation of planets textures on the GPU
- Solar system browser
- Illumination of the stars by each other in a close binary systems

================================= Version 0.7.4.0 === (19.06.2010) ==============================

First public release
